<template>
    <nav class="relative bg-white px-5 py-3 flex justify-between items-center">
      <slot></slot>
      <div
        v-if="currentStatusNumber"
        class="
        absolute grid gap-x-2 grid-cols-3 bottom-0 max-w-quiz
        w-full left-1/2 transform -translate-x-1/2 px-6
"
      >
        <div
          class="border-b"
          :class="currentStatusNumber >= 1 ? 'border-red' : 'border-grey'"
        />
        <div
          class="border-b"
          :class="currentStatusNumber >= 2 ? 'border-red' : 'border-grey'"
        />
        <div
          class="border-b"
          :class="currentStatusNumber >= 3 ? 'border-red' : 'border-grey'"
        />
      </div>
    </nav>
</template>

<script>
export default {
  name: "CommonNavbar",
  props: {
    currentStatusNumber: {
      type: Number,
    }
  }
}
</script>

<style scoped>

</style>
